#
# spec file for package python-django-webtest
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-webtest
Version:        1.9.2
Release:        2.2
Summary:        Django integration for WebTest
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/django-webtest/django-webtest
Source:         https://files.pythonhosted.org/packages/source/d/django-webtest/django-webtest-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-WebTest >= 1.3.3
%python_subpackages

%description
Instant integration of Ian Bicking's WebTest with django's testing framework.

%prep
%setup -q -n django-webtest-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc AUTHORS.txt CHANGES.rst LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Thu Dec 14 2017 tchvatal@suse.com
- Update to 1.9.2:
  * silence warnings about is_authenticated on 1.11
  * include correct hostname (testserver) when using set_cookie
* Thu Dec 14 2017 tchvatal@suse.com
- Cleanup a bit to match all the singlespec requirements
* Thu Apr  6 2017 rjschwei@suse.com
- Initial build
  + Version 1.9.1
